Bug 830353 - valgrind reported memleaks and mem errors
Summary: valgrind reported memleaks and mem errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Ján Rusnačko
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:49 UTC by Nathan Kinder
Modified: 2013-02-21 08:17 UTC (History)
1 user (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Configuring the directory server to use Managed Entry and DNA, and running a series of search and update operations to exercise and verify those plugins, while running the directory server using valgrind. Consequence: valgrind reports memory errors and leaks. Fix: Make sure memory is used correctly and deleted correctly. Result: valgrind should report no problems related to Managed Entry and DNA.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:17:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Valgrind output (2.76 MB, text/plain)
2013-01-30 15:29 UTC, Ján Rusnačko
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-08 21:49:34 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/313

1) the ldbm instance dse preop delete callback deletes the entry and dn caches - some other plugins called after this attempt to access those caches

2) normalize_mods2bvals allocs the berval twice in the dn syntax case

3) mep_parse_config_entry allocs value but does not free it

4) dna_be_txn_pre_op can goto bail: in certain cases and attempt to free NULL smods

Comment 1 Jenny Severance 2012-06-19 17:50:45 UTC
please add steps to verify this bugzilla

Comment 2 RHEL Product and Program Management 2012-07-10 06:17:50 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Product and Program Management 2012-07-10 23:01:04 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 5 Sankar Ramalingam 2013-01-28 17:04:50 UTC
Request you to add steps to verify bugzilla.

Comment 6 Rich Megginson 2013-01-29 18:26:38 UTC
1) setup the directory server to run under valgrind
2) run the managed entry and DNA tests from TET
3) the valgrind output should not report leaks or errors in normalize_mods2bvals(), mep_parse_config_entry(), dna_be_txn_pre_op()

Comment 7 Ján Rusnačko 2013-01-30 15:29:28 UTC
Created attachment 690426 [details]
Valgrind output

Verified on 389-ds-base-1.2.11.15-11.el6.x86_64

Comment 9 errata-xmlrpc 2013-02-21 08:17:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.